package giq

import "log"

type Giqi interface {
	Whoami() string
	GitStruct(string, string, string, string) Git
	AddBareWorktree(string, string, string, string)
	RemoveBareWorktree(string, string, string, string)
}

type Git struct {
	RepoPath       string
	Worktree       string
	TmpRepoPath    string
	IsBare         bool
	Branch         string
	PreviousCommit string
	LastCommit     string
	IndexPath      string
	Publish        bool
}

type Gogit struct{}
type Sysgit struct{}

func check(e error) {
	if e != nil {
		log.Fatal(e)
		panic(e)
	}
}
